Package com.arms.api.analysis.cost.service

## Class CostServiceImpl

- java.lang.Object
- - com.arms.api.analysis.cost.service.CostServiceImpl

- All Implemented Interfaces:
    `CostService`

      @Service
      public class CostServiceImpl
      extends java.lang.Object
      implements CostService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Chat` | `chat` |
    `protected org.modelmapper.ModelMapper` | `modelMapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CostServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CostCalculationVO` | `calculateAssigneeCost​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateCostAll​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateRequirementCost​(CostDTO costDTO)` |
    `CostCalculationVO` | `calculateVersionCost​(CostDTO costDTO)` |
    `ProductCostResponseVO` | `candleStickChartAPI​(CostDTO costDTO)` |
    `AllAssigneeVO` | `getAssigneeList​(CostDTO costDTO)` |
    `java.util.Set<java.lang.String>` | `getAssignees​(java.lang.Long pdServiceLink, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `java.util.List<AssigneeTimeDiffVO>` | `getEstimatedPeriodCostByAccountId​(CostDTO costDTO)` |
    `LinkedJiraIssueVO` | `getLinkedJiraIssuesByVersionAndRequirement​(CostDTO costDTO)` |
    `RequirementDifficultyAndPriorityVO` | `getRequirementListStats​(CostDTO costDTO)` |
    `boolean` | `hasUpdateLog​(java.util.List<SalaryLogJdbcDTO> salaryUpdateLogsByAssignee)` |
    `CostCalculationVO` | `toBeCalculateCost​(CalculationCostDTO calculationCostDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chat

          protected final Chat chat

    - #### modelMapper

          protected final org.modelmapper.ModelMapper modelMapper

  - ### Constructor Detail

    - #### CostServiceImpl

          public CostServiceImpl()

  - ### Method Detail

    - #### getAssigneeList

          public AllAssigneeVO getAssigneeList​(CostDTO costDTO)
                                        throws java.lang.Exception

      Specified by:
        `getAssigneeList` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### getRequirementListStats

          public RequirementDifficultyAndPriorityVO getRequirementListStats​(CostDTO costDTO)
                                                                     throws java.lang.Exception

      Specified by:
        `getRequirementListStats` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### getLinkedJiraIssuesByVersionAndRequirement

          public LinkedJiraIssueVO getLinkedJiraIssuesByVersionAndRequirement​(CostDTO costDTO)
                                                                       throws java.lang.Exception

      Specified by:
        `getLinkedJiraIssuesByVersionAndRequirement` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### candleStickChartAPI

          public ProductCostResponseVO candleStickChartAPI​(CostDTO costDTO)
                                                    throws java.lang.Exception

      Specified by:
        `candleStickChartAPI` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### hasUpdateLog

          public boolean hasUpdateLog​(java.util.List<SalaryLogJdbcDTO> salaryUpdateLogsByAssignee)

    - #### getAssignees

          public java.util.Set<java.lang.String> getAssignees​(java.lang.Long pdServiceLink,
                                                              java.util.List<java.lang.Long> pdServiceVersionLinks)

      Specified by:
        `getAssignees` in interface `CostService`

    - #### getEstimatedPeriodCostByAccountId

          public java.util.List<AssigneeTimeDiffVO> getEstimatedPeriodCostByAccountId​(CostDTO costDTO)
                                                                               throws java.lang.Exception

      Specified by:
        `getEstimatedPeriodCostByAccountId` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### calculateCostAll

          public CostCalculationVO calculateCostAll​(CostDTO costDTO)
                                             throws java.lang.Exception

      Specified by:
        `calculateCostAll` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### calculateVersionCost

          public CostCalculationVO calculateVersionCost​(CostDTO costDTO)
                                                 throws java.lang.Exception

      Specified by:
        `calculateVersionCost` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### calculateRequirementCost

          public CostCalculationVO calculateRequirementCost​(CostDTO costDTO)
                                                     throws java.lang.Exception

      Specified by:
        `calculateRequirementCost` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### calculateAssigneeCost

          public CostCalculationVO calculateAssigneeCost​(CostDTO costDTO)
                                                  throws java.lang.Exception

      Specified by:
        `calculateAssigneeCost` in interface `CostService`
      Throws:
        `java.lang.Exception`

    - #### toBeCalculateCost

          public CostCalculationVO toBeCalculateCost​(CalculationCostDTO calculationCostDTO)
                                              throws java.lang.Exception

      Specified by:
        `toBeCalculateCost` in interface `CostService`
      Throws:
        `java.lang.Exception`